Bug 312442 - Digikam crashed when editing face tags
Summary: Digikam crashed when editing face tags
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.8.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-31 18:07 UTC by ducktayp
Modified: 2019-12-23 06:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ducktayp 2012-12-31 18:07:36 UTC
Application: digikam (2.8.0)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-33-generic x86_64
Distribution: Ubuntu 12.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:

I was manually editing face tags. The precise operation was selecting a tag and moving/resizing it. It doesn't happen every time, but I did manage to reproduce (reopened digikam and edited face tags on a different picture). 

Something that may or may not be relevant is the reason for editing the tags in the first place -- there was problem with the location of the tags (possibly due to rotating the picture in digikam after tagging).

The crash can be reproduced some of the time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fc8b3b2e800 (LWP 31618))]

Thread 60 (Thread 0x7fc890787700 (LWP 31619)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc8adfa34db in wait (time=18446744073709551615, this=0x2707590) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2707488, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005d6a30 in Digikam::ScanController::run (this=0x2707220) at /build/buildd/digikam-2.8.0/core/digikam/database/scancontroller.cpp:698
#4  0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x2707220) at thread/qthread_unix.cpp:298
#5  0x00007fc8a8987e9a in start_thread (arg=0x7fc890787700) at pthread_create.c:308
#6  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 59 (Thread 0x7fc88ff86700 (LWP 31620)):
#0  0x00007fc8ad1c1303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc8a65d7036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc8a65d7164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc8ae0d1426 in QEventDispatcherGlib::processEvents (this=0x7fc8800008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fc88ff85d50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fc8adf9ffa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fc8ae0809ff in QInotifyFileSystemWatcherEngine::run (this=0x27095e0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x27095e0) at thread/qthread_unix.cpp:298
#9  0x00007fc8a8987e9a in start_thread (arg=0x7fc88ff86700) at pthread_create.c:308
#10 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 58 (Thread 0x7fc88f785700 (LWP 31678)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fc8adfa34db in wait (time=18446744073709551615, this=0x2852cc0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2824638, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fc8b13c2a11 in Digikam::ParkingThread::run (this=0x2824620) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x2824620) at thread/qthread_unix.cpp:298
#5  0x00007fc8a8987e9a in start_thread (arg=0x7fc88f785700) at pthread_create.c:308
#6  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 57 (Thread 0x7fc87a54f700 (LWP 31679)):
#0  0x00007fc8a66125ec in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fc8a65d698b in g_main_context_query () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc8a65d6faa in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc8a65d7164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc8ae0d1426 in QEventDispatcherGlib::processEvents (this=0x7fc8740008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fc87a54ed50, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fc8adf9ffa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007fc8ae0809ff in QInotifyFileSystemWatcherEngine::run (this=0x3120f40) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x3120f40) at thread/qthread_unix.cpp:298
#10 0x00007fc8a8987e9a in start_thread (arg=0x7fc87a54f700) at pthread_create.c:308
#11 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 56 (Thread 0x7fc8648f7700 (LWP 578)):
#0  0x00007fc8a898b05d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7fc80c0016b0) at pthread_mutex_unlock.c:290
#2  0x00007fc8a66125d1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc8a65d6efc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc8a65d7164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc8ae0d1426 in QEventDispatcherGlib::processEvents (this=0x7fc80c0012d0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fc8648f6d20, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fc8b13c208e in Digikam::WorkerObjectRunnable::run (this=0x7fc8480030c0) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007fc8adf964f2 in QThreadPoolThread::run (this=0x44ef3e0) at concurrent/qthreadpool.cpp:107
#10 0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x44ef3e0) at thread/qthread_unix.cpp:298
#11 0x00007fc8a8987e9a in start_thread (arg=0x7fc8648f7700) at pthread_create.c:308
#12 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 55 (Thread 0x7fc82e7fc700 (LWP 584)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc82e7fc700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 54 (Thread 0x7fc85f4f6700 (LWP 585)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc85f4f6700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 53 (Thread 0x7fc85ecf5700 (LWP 586)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc85ecf5700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 52 (Thread 0x7fc85e4f4700 (LWP 587)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc85e4f4700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 51 (Thread 0x7fc85dcf3700 (LWP 588)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc85dcf3700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 50 (Thread 0x7fc83dffb700 (LWP 601)):
#0  0x00007fc8ad1c1303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc8a65d7036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc8a65d7164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc8ae0d1426 in QEventDispatcherGlib::processEvents (this=0x7fc848000900, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fc83dffad20, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fc8b13c208e in Digikam::WorkerObjectRunnable::run (this=0x7fc80c072c20) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007fc8adf964f2 in QThreadPoolThread::run (this=0x42cc8e0) at concurrent/qthreadpool.cpp:107
#8  0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x42cc8e0) at thread/qthread_unix.cpp:298
#9  0x00007fc8a8987e9a in start_thread (arg=0x7fc83dffb700) at pthread_create.c:308
#10 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 49 (Thread 0x7fc83cff9700 (LWP 603)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc83cff9700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 48 (Thread 0x7fc82ffff700 (LWP 604)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc82ffff700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 47 (Thread 0x7fc82f7fe700 (LWP 605)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc82f7fe700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 46 (Thread 0x7fc82effd700 (LWP 606)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc82effd700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 45 (Thread 0x7fc82d7fa700 (LWP 607)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc82d7fa700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 44 (Thread 0x7fc85ccf1700 (LWP 614)):
#0  0x00007fc8a898b05d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7fc8580008c0) at pthread_mutex_unlock.c:290
#2  0x00007fc8a66125d1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc8a65d702a in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc8a65d7164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc8ae0d1426 in QEventDispatcherGlib::processEvents (this=0x7fc8580008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fc85ccf0d20, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fc8b13c208e in Digikam::WorkerObjectRunnable::run (this=0x35eb6d0) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007fc8adf964f2 in QThreadPoolThread::run (this=0x605b050) at concurrent/qthreadpool.cpp:107
#10 0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x605b050) at thread/qthread_unix.cpp:298
#11 0x00007fc8a8987e9a in start_thread (arg=0x7fc85ccf1700) at pthread_create.c:308
#12 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 43 (Thread 0x7fc857fff700 (LWP 615)):
#0  0x00007fc8ad1c1303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc8a65d7036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc8a65d7164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc8ae0d1426 in QEventDispatcherGlib::processEvents (this=0x7fc8100239b0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fc857ffed20, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fc8b13c208e in Digikam::WorkerObjectRunnable::run (this=0x7fc80c018700) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007fc8adf964f2 in QThreadPoolThread::run (this=0x3f8aff0) at concurrent/qthreadpool.cpp:107
#8  0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x3f8aff0) at thread/qthread_unix.cpp:298
#9  0x00007fc8a8987e9a in start_thread (arg=0x7fc857fff700) at pthread_create.c:308
#10 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 42 (Thread 0x7fc82cff9700 (LWP 622)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc82cff9700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 41 (Thread 0x7fc81bfff700 (LWP 623)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc81bfff700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 40 (Thread 0x7fc81b7fe700 (LWP 624)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc81b7fe700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 39 (Thread 0x7fc81affd700 (LWP 625)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc81affd700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 38 (Thread 0x7fc81a7fc700 (LWP 626)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc81a7fc700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 37 (Thread 0x7fc819ffb700 (LWP 630)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc819ffb700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 36 (Thread 0x7fc8197fa700 (LWP 631)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc8197fa700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 35 (Thread 0x7fc818ff9700 (LWP 632)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc818ff9700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 34 (Thread 0x7fc80bfff700 (LWP 633)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc80bfff700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 33 (Thread 0x7fc80b7fe700 (LWP 634)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc80b7fe700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 32 (Thread 0x7fc80affd700 (LWP 641)):
#0  malloc_consolidate (av=0x7fc7d8000020) at malloc.c:4262
#1  0x00007fc8ad159436 in malloc_consolidate (av=0x7fc7d8000020) at malloc.c:4215
#2  _int_malloc (av=0x7fc7d8000020, bytes=3224) at malloc.c:3532
#3  0x00007fc8ad15bfb5 in __GI___libc_malloc (bytes=3224) at malloc.c:2924
#4  0x00007fc8979ec73f in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#5  0x00007fc8979ca239 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#6  0x00007fc8979d1b18 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#7  0x00007fc897a2f4e1 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#8  0x00007fc897a337ca in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#9  0x00007fc897a339c9 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#10 0x00007fc897a33b08 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#11 0x00007fc88ed7e6ce in QSQLiteResult::prepare (this=0x7fc7d8063b40, query=...) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:330
#12 0x00007fc8b375e3e0 in QSqlResult::savePrepare (this=0x7fc7d8063b40, query=...) at kernel/qsqlresult.cpp:600
#13 0x00007fc8b37516bb in QSqlQuery::prepare (this=0x7fc80affc4c8, query=...) at kernel/qsqlquery.cpp:930
#14 0x00007fc8b137b8c2 in Digikam::SqlQuery::prepare (this=0x7fc80affc4c0, query=...) at /build/buildd/digikam-2.8.0/core/libs/database/core/sqlquery.cpp:52
#15 0x00007fc8b136554c in Digikam::DatabaseCoreBackend::prepareQuery (this=0x2718820, sql=...) at /build/buildd/digikam-2.8.0/core/libs/database/core/databasecorebackend.cpp:1458
#16 0x00007fc8b13670a1 in Digikam::DatabaseCoreBackend::execQuery (this=0x2718820, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam-2.8.0/core/libs/database/core/databasecorebackend.cpp:1020
#17 0x00007fc8b13677e5 in Digikam::DatabaseCoreBackend::execSql (this=0x2718820, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=..., values=0x0, lastInsertId=0x7fc80affc5c0) at /build/buildd/digikam-2.8.0/core/libs/database/core/databasecorebackend.cpp:920
#18 0x00007fc8b1373283 in Digikam::ThumbnailDB::insertThumbnail (this=0x2723660, info=..., lastInsertId=0x7fc80affc6a0) at /build/buildd/digikam-2.8.0/core/libs/database/core/thumbnaildb.cpp:262
#19 0x00007fc8b139d358 in Digikam::ThumbnailCreator::storeInDatabase (this=<optimized out>, info=..., image=...) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/thumbnailcreator.cpp:754
#20 0x00007fc8b13a2aa9 in Digikam::ThumbnailCreator::load (this=0x30e7710, path=..., rect=..., pregenerate=true) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/thumbnailcreator.cpp:267
#21 0x00007fc8b13a3a2d in Digikam::ThumbnailCreator::pregenerate (this=<optimized out>, path=...) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/thumbnailcreator.cpp:183
#22 0x00007fc8b13b2120 in Digikam::ThumbnailLoadingTask::execute (this=0x823a5d0) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/thumbnailtask.cpp:80
#23 0x00007fc8b1381b5e in Digikam::LoadSaveThread::run (this=0x30da190) at /build/buildd/digikam-2.8.0/core/libs/threadimageio/loadsavethread.cpp:136
#24 0x00007fc8b13c432e in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x30e7a50) at /build/buildd/digikam-2.8.0/core/libs/threads/dynamicthread.cpp:186
#25 0x00007fc8adf964f2 in QThreadPoolThread::run (this=0x8217150) at concurrent/qthreadpool.cpp:107
#26 0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x8217150) at thread/qthread_unix.cpp:298
#27 0x00007fc8a8987e9a in start_thread (arg=0x7fc80affd700) at pthread_create.c:308
#28 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#29 0x0000000000000000 in ?? ()

Thread 31 (Thread 0x7fc80a7fc700 (LWP 642)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc80a7fc700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 30 (Thread 0x7fc809ffb700 (LWP 643)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc809ffb700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 29 (Thread 0x7fc8097fa700 (LWP 644)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc8097fa700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 28 (Thread 0x7fc808ff9700 (LWP 645)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc808ff9700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 27 (Thread 0x7fc7fffff700 (LWP 646)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7fffff700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 26 (Thread 0x7fc7ff7fe700 (LWP 648)):
#0  0x00007fc8ad1c1303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc8a65d7036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc8a65d7164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc8ae0d1426 in QEventDispatcherGlib::processEvents (this=0x7fc7c80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fc7ff7fdd20, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fc8b13c208e in Digikam::WorkerObjectRunnable::run (this=0x7fc80c005920) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007fc8adf964f2 in QThreadPoolThread::run (this=0x3227e80) at concurrent/qthreadpool.cpp:107
#8  0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x3227e80) at thread/qthread_unix.cpp:298
#9  0x00007fc8a8987e9a in start_thread (arg=0x7fc7ff7fe700) at pthread_create.c:308
#10 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 25 (Thread 0x7fc7fdff9700 (LWP 652)):
#0  __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:37
#1  __pthread_mutex_unlock (mutex=0x7fc7b4000a60) at pthread_mutex_unlock.c:290
#2  0x00007fc8a66125d1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc8a65d683b in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc8a65d6f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc8a65d7164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007fc8ae0d1426 in QEventDispatcherGlib::processEvents (this=0x7fc7b40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fc7fdff8d20, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007fc8b13c208e in Digikam::WorkerObjectRunnable::run (this=0x7fc80c002de0) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#10 0x00007fc8adf964f2 in QThreadPoolThread::run (this=0x7f5f650) at concurrent/qthreadpool.cpp:107
#11 0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x7f5f650) at thread/qthread_unix.cpp:298
#12 0x00007fc8a8987e9a in start_thread (arg=0x7fc7fdff9700) at pthread_create.c:308
#13 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 24 (Thread 0x7fc7fd7f8700 (LWP 653)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7fd7f8700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7fc7fcff7700 (LWP 654)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7fcff7700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7fc7e3fff700 (LWP 655)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7e3fff700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7fc7e37fe700 (LWP 656)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7e37fe700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7fc7e2ffd700 (LWP 657)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7e2ffd700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7fc7e27fc700 (LWP 659)):
#0  0x00007fc8a8989f64 in __pthread_mutex_lock (mutex=0x7fc7a8000a60) at pthread_mutex_lock.c:92
#1  0x00007fc8a66125a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc8a65d6337 in g_main_context_release () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc8a65d6fe9 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc8a65d7164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fc8ae0d1426 in QEventDispatcherGlib::processEvents (this=0x7fc7a80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fc7e27fbd20, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007fc8b13c208e in Digikam::WorkerObjectRunnable::run (this=0x7fc80c0064a0) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007fc8adf964f2 in QThreadPoolThread::run (this=0x9636f70) at concurrent/qthreadpool.cpp:107
#10 0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x9636f70) at thread/qthread_unix.cpp:298
#11 0x00007fc8a8987e9a in start_thread (arg=0x7fc7e27fc700) at pthread_create.c:308
#12 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7fc7e1ffb700 (LWP 660)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7e1ffb700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fc7e17fa700 (LWP 661)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7e17fa700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fc7e0ff9700 (LWP 662)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7e0ff9700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fc7b3fff700 (LWP 663)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7b3fff700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fc7b37fe700 (LWP 664)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7b37fe700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fc7b2ffd700 (LWP 665)):
#0  __pthread_mutex_lock (mutex=0x7fc790000a60) at pthread_mutex_lock.c:50
#1  0x00007fc8a66125a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc8a65d7150 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc8ae0d1426 in QEventDispatcherGlib::processEvents (this=0x7fc7900008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fc7b2ffcd20, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fc8b13c208e in Digikam::WorkerObjectRunnable::run (this=0x7fc80c008990) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007fc8adf964f2 in QThreadPoolThread::run (this=0x5e60eb0) at concurrent/qthreadpool.cpp:107
#8  0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x5e60eb0) at thread/qthread_unix.cpp:298
#9  0x00007fc8a8987e9a in start_thread (arg=0x7fc7b2ffd700) at pthread_create.c:308
#10 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fc7b17fa700 (LWP 668)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7b17fa700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fc7b0ff9700 (LWP 669)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7b0ff9700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fc7a3fff700 (LWP 670)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7a3fff700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fc7a37fe700 (LWP 671)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7a37fe700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fc7a2ffd700 (LWP 672)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7a2ffd700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fc7997fa700 (LWP 687)):
#0  0x00007fc8ae0d09fc in timerSourcePrepare (source=0x7fc7940013c0, timeout=0x7fc7997f9bbc) at kernel/qeventdispatcher_glib.cpp:160
#1  0x00007fc8a65d6846 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fc8a65d6f5b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fc8a65d7164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fc8ae0d1426 in QEventDispatcherGlib::processEvents (this=0x7fc7940008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fc7997f9d20, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007fc8b13c208e in Digikam::WorkerObjectRunnable::run (this=0x81a3dd0) at /build/buildd/digikam-2.8.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007fc8adf964f2 in QThreadPoolThread::run (this=0x78e8a50) at concurrent/qthreadpool.cpp:107
#9  0x00007fc8adfa2fcb in QThreadPrivate::start (arg=0x78e8a50) at thread/qthread_unix.cpp:298
#10 0x00007fc8a8987e9a in start_thread (arg=0x7fc7997fa700) at pthread_create.c:308
#11 0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fc7effff700 (LWP 695)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7effff700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fc7ef7fe700 (LWP 696)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7ef7fe700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fc7eeffd700 (LWP 697)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7eeffd700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fc7ee7fc700 (LWP 698)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7ee7fc700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fc7edffb700 (LWP 699)):
#0  0x00007fc8a930a3d6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007fc8a9308efe in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007fc8a8987e9a in start_thread (arg=0x7fc7edffb700) at pthread_create.c:308
#3  0x00007fc8ad1cccbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fc8b3b2e800 (LWP 31618)):
[KCrash Handler]
#6  _wordcopy_fwd_aligned (dstp=<optimized out>, srcp=<optimized out>, len=2305843009210408552) at wordcopy.c:112
#7  0x00007fc8ad164ba5 in __memmove_sse2 (dest=0x96a0318, src=<optimized out>, len=18446744073709551608) at ../string/memmove.c:76
#8  0x00007fc8adfc0efd in QListData::remove (this=0x2f85388, i=<optimized out>, n=1) at /usr/include/x86_64-linux-gnu/bits/string3.h:58
#9  0x00007fc8b0da3d4c in erase (alast=..., afirst=..., this=0x2f85388) at /usr/include/qt4/QtCore/qlist.h:813
#10 Digikam::ImageModel::removeRowPairs (this=0x2f83990, toRemove=...) at /build/buildd/digikam-2.8.0/core/libs/models/imagemodel.cpp:1025
#11 0x00007fc8b0da5ced in Digikam::ImageModel::finishIncrementalRefresh (this=0x2f83990) at /build/buildd/digikam-2.8.0/core/libs/models/imagemodel.cpp:844
#12 0x0000000000570c95 in Digikam::ImageAlbumModel::slotResult (this=0x2f83990, job=<optimized out>) at /build/buildd/digikam-2.8.0/core/libs/models/imagealbummodel.cpp:307
#13 0x00007fc8ae0b6281 in QMetaObject::activate (sender=0x7d93760, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff526dccb0) at kernel/qobject.cpp:3547
#14 0x00007fc8ae52c152 in KJob::result (this=<optimized out>, _t1=0x7d93760) at ./kjob.moc:208
#15 0x00007fc8ae52c190 in KJob::emitResult (this=0x7d93760) at ../../kdecore/jobs/kjob.cpp:318
#16 0x00007fc8aff39d44 in KIO::SimpleJob::slotFinished (this=0x7d93760) at ../../kio/kio/job.cpp:494
#17 0x00007fc8aff418dd in KIO::TransferJob::slotFinished (this=0x7d93760) at ../../kio/kio/job.cpp:1081
#18 0x00007fc8ae0b6281 in QMetaObject::activate (sender=0x3567ad0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#19 0x00007fc8affe8381 in KIO::SlaveInterface::dispatch (this=<optimized out>, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:172
#20 0x00007fc8affe50d5 in KIO::SlaveInterface::dispatch (this=0x3567ad0) at ../../kio/kio/slaveinterface.cpp:88
#21 0x00007fc8affd835e in KIO::Slave::gotInput (this=0x3567ad0) at ../../kio/kio/slave.cpp:344
#22 0x00007fc8ae0b6281 in QMetaObject::activate (sender=0x31bb930, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#23 0x00007fc8aff0a5e7 in dequeue (this=<optimized out>) at ../../kio/kio/connection.cpp:82
#24 KIO::ConnectionPrivate::dequeue (this=0x3c54dc0) at ../../kio/kio/connection.cpp:71
#25 0x00007fc8ae0bb446 in QObject::event (this=0x31bb930, e=<optimized out>) at kernel/qobject.cpp:1195
#26 0x00007fc8aea9b894 in notify_helper (e=0x81f2f60, receiver=0x31bb930, this=0x255e210) at kernel/qapplication.cpp:4559
#27 QApplicationPrivate::notify_helper (this=0x255e210, receiver=0x31bb930, e=0x81f2f60) at kernel/qapplication.cpp:4531
#28 0x00007fc8aeaa0713 in QApplication::notify (this=0x7fff526de010, receiver=0x31bb930, e=0x81f2f60) at kernel/qapplication.cpp:4420
#29 0x00007fc8af7d53f6 in KApplication::notify (this=0x7fff526de010, receiver=0x31bb930, event=0x81f2f60) at ../../kdeui/kernel/kapplication.cpp:311
#30 0x00007fc8ae0a1e9c in QCoreApplication::notifyInternal (this=0x7fff526de010, receiver=0x31bb930, event=0x81f2f60) at kernel/qcoreapplication.cpp:876
#31 0x00007fc8ae0a5c6a in sendEvent (event=0x81f2f60, receiver=0x31bb930) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#32 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x24f3200) at kernel/qcoreapplication.cpp:1500
#33 0x00007fc8ae0d0f93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#34 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#35 0x00007fc8a65d6d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#36 0x00007fc8a65d70a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#37 0x00007fc8a65d7164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#38 0x00007fc8ae0d13bf in QEventDispatcherGlib::processEvents (this=0x24f46f0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#39 0x00007fc8aeb43d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#40 0x00007fc8ae0a0c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#41 0x00007fc8ae0a0ed7 in QEventLoop::exec (this=0x7fff526dde90, flags=...) at kernel/qeventloop.cpp:204
#42 0x00007fc8ae0a5f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#43 0x000000000048f63b in main (argc=1, argv=<optimized out>) at /build/buildd/digikam-2.8.0/core/digikam/main/main.cpp:232

Possible duplicates by query: bug 296325.

Reported using DrKonqi
Comment 1 caulier.gilles 2013-01-02 10:51:05 UTC

*** This bug has been marked as a duplicate of bug 312289 ***
Comment 2 caulier.gilles 2019-12-23 06:22:10 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier